# Interface methods for submodule: RealTimeClock
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: RealTimeClock
class RealTimeClockProxy(_ObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetTimeInSeconds(self) -> float:
		""""""
		...

	def GetFrequency(self) -> float:
		""""""
		...

	def GetRealTimeStamp(self):
		""""""
		...

